xine-lib: input_plugin_s Struct Reference

xine-lib 1.2.12

Data Fields
input_plugin_s Struct Reference

`#include <input_plugin.h>`

## Data Fields
int(* | open )(input_plugin_t *this_gen)
uint32_t(* | get_capabilities )(input_plugin_t *this_gen)
off_t(* | read )(input_plugin_t *this_gen, void *buf, off_t nlen) XINE_USED
buf_element_t *(* | read_block )(input_plugin_t *this_gen, fifo_buffer_t *fifo, off_t len)
off_t(* | seek )(input_plugin_t *this_gen, off_t offset, int origin)
off_t(* | seek_time )(input_plugin_t *this_gen, int time_offset, int origin)
off_t(* | get_current_pos )(input_plugin_t *this_gen)
int(* | get_current_time )(input_plugin_t *this_gen)
off_t(* | get_length )(input_plugin_t *this_gen)
uint32_t(* | get_blocksize )(input_plugin_t *this_gen)
const char *(* | get_mrl )(input_plugin_t *this_gen)
int(* | get_optional_data )(input_plugin_t *this_gen, void *data, int data_type)
void(* | dispose )(input_plugin_t *this_gen)
input_class_t * | input_class
struct plugin_node_s *node | XINE_PRIVATE_FIELD
| Pointer to the loaded plugin node. More...

## Field Documentation

## ◆ dispose

void(* input_plugin_s::dispose) (input_plugin_t *this_gen)

## ◆ get_blocksize

uint32_t(* input_plugin_s::get_blocksize) (input_plugin_t *this_gen)

Referenced by _x_rip_plugin_get_instance(), cache_plugin_get_blocksize(), rip_plugin_get_blocksize(), and rip_plugin_seek().

## ◆ get_capabilities

uint32_t(* input_plugin_s::get_capabilities) (input_plugin_t *this_gen)

Referenced by _get_audio_lang(), _get_spu_lang(), _x_rip_plugin_get_instance(), cache_plugin_get_capabilities(), demux_loop(), hls_input_get_capabilities(), open_internal(), rip_plugin_get_capabilities(), rip_plugin_seek(), rip_read_file_start(), and xine_get_stream_info().

## ◆ get_current_pos

off_t(* input_plugin_s::get_current_pos) (input_plugin_t *this_gen)

Referenced by cache_plugin_get_current_pos(), ebml_read_elem_data(), ebml_read_elem_head(), ebml_read_elem_id(), ebml_read_elem_len(), flac_get_frame(), open_film_file(), open_flac_file(), open_plugin(), rip_plugin_get_current_pos(), and rip_plugin_read().

## ◆ get_current_time

int(* input_plugin_s::get_current_time) (input_plugin_t *this_gen)

Referenced by bluray_plugin_seek_time(), and cache_plugin_get_current_time().

## ◆ get_length

off_t(* input_plugin_s::get_length) (input_plugin_t *this_gen)

Referenced by _sftp_read(), cache_plugin_get_length(), open_film_file(), open_flac_file(), open_fourxm_file(), open_plugin(), and rip_plugin_get_length().

## ◆ get_mrl

const char *(* input_plugin_s::get_mrl) (input_plugin_t *this_gen)

Referenced by cache_plugin_get_mrl(), cache_plugin_new(), rip_plugin_get_mrl(), and rip_plugin_read().

## ◆ get_optional_data

int(* input_plugin_s::get_optional_data) (input_plugin_t *this_gen, void *data, int data_type)

Referenced by _get_audio_lang(), _get_spu_lang(), _x_rip_plugin_get_instance(), open_internal(), open_plugin(), and xine_open().

## ◆ input_class

input_class_t* input_plugin_s::input_class

Referenced by _x_rip_plugin_get_instance(), cache_plugin_new(), cdda_class_get_autoplay_list(), cdda_close(), cdda_open(), cdda_plugin_open(), dvd_plugin_open(), open_internal(), smb_plugin_open(), vcd_init(), vcd_plugin_open(), and vdr_is_vdr_stream().

## ◆ open

int(* input_plugin_s::open) (input_plugin_t *this_gen)

Referenced by hls_input_get_instance(), mpd_input_get_instance(), open_internal(), v4l_class_get_radio_instance(), and v4l_class_get_video_instance().

## ◆ read

off_t(* input_plugin_s::read) (input_plugin_t *this_gen, void *buf, off_t nlen) XINE_USED

Referenced by _x_input_default_read_block(), _x_rip_plugin_get_instance(), ebml_read_elem_data(), ebml_read_elem_id(), ebml_read_elem_len(), flac_get_frame(), open_film_file(), open_flac_file(), open_fourxm_file(), rip_plugin_read(), and vdr_plugin_seek().

## ◆ read_block

buf_element_t *(* input_plugin_s::read_block) (input_plugin_t *this_gen, fifo_buffer_t *fifo, off_t len)

Referenced by _x_rip_plugin_get_instance(), and rip_plugin_read_block().

## ◆ seek

off_t(* input_plugin_s::seek) (input_plugin_t *this_gen, off_t offset, int origin)

Referenced by ebml_skip(), open_film_file(), open_flac_file(), open_fourxm_file(), real_parse_headers(), rip_plugin_read(), and rip_seek_original().

## ◆ seek_time

off_t(* input_plugin_s::seek_time) (input_plugin_t *this_gen, int time_offset, int origin)

## ◆ XINE_PRIVATE_FIELD

struct plugin_node_s* node input_plugin_s::XINE_PRIVATE_FIELD

Pointer to the loaded plugin node.

Used by the plugins loader. It's an opaque type when using the structure outside of xine's build.

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/input_plugin.h